Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03821 Crash/Freeze Critical (emulation) Always Apr 24, 2010, 19:38 Mar 21, 2011, 16:22
Tester -Misc Reporters- View Status Public Platform MAME (Official Binary)
Assigned To hap Resolution Fixed OS
Status [?] Resolved Driver contra.cpp
Version 0.137 Fixed in Version 0.141u4 Build Normal
Summary 03821: contra, contraj, gryzor: Game freeze after the 2nd 3d stage's boss, before the level with horizontal scroll.
Description When I die and continue in the boss, the game goes on.
When I beat him without continuing, the character walks out of the screen and the game freezes.
Made the savestate, will upload it here.
Normal game without cheats, only non default thing is I changed difficulty from easy to normal in the DIP switches.
MAME is the 0.137 normal exe from MAME.NET
Steps To Reproduce
Additional Information Found by lionelrit - from:
http://www.mameworld.info/ubbthreads/showthreaded.php?Cat=&Number=220039
Flags
Regression Version
Affected Sets / Systems contra, contraj, gryzor
Attached Files
zip file icon contra save slot 1.zip (21,948 bytes) Apr 24, 2010, 19:38
zip file icon contraj save slot 2.zip (21,790 bytes) Apr 24, 2010, 21:17
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.06006
AWJ
Developer
Apr 24, 2010, 19:48
To clarify: The freeze only happens if (a) you set the Difficulty dipswitch to Normal (or higher?), not Easy, and (b) you get all the way to the boss and defeat it without ever continuing.

IMHO it's highly likely to be an original game bug (or a quasi-intentional "kill screen")...
User avatar
No.06243
sp3ctr3
Tester
Jun 11, 2010, 16:52
signed up just to reply to AWJs note.

I believe it is NOT an original game bug. Over at Twin Galaxies the required settings for setting a world record on the original arcade hardware is difficulty normal and only 1 extra life at 50,000pts. and those players have made it all the way through the game.

I can confirm that I have the same problem with mame 0.137 freezing after beating the 2nd boss, the one after the 2nd base (tunnel sections).
User avatar
No.07318
Kale
Developer
Mar 18, 2011, 13:45
People at MARP claims that the game doesn't freeze if you don't shoot another bullet when you kill the 2nd boss.

source:
http://forums.marpirc.net/viewtopic.php?f=10&t=14814&start=30#p53250
User avatar
No.07320
hap
Developer
Mar 19, 2011, 22:04
It had the wrong main cpu (6809 instead of 6309).
I can't reproduce the freeze anymore now in 141u4.
User avatar
No.07330
Machone
Tester
Mar 21, 2011, 16:22
It also uses the C variant of the 6309 which means that the main cpu probably runs at 3mhz (or 3.57mhz). MAME currently has it at 1.5mhz and the game slows down at various points compared to the original pcb. It would be good if someone could eventually measure the real clocks from a pcb.